### Enumeration

# Aravis StreamCallbackType

#### Declaration

    enum Aravis.StreamCallbackType

#### Description [src]

Describes when the reason the stream callback is called. You are probably more interested in `ARV_STREAM_CALLBACK_TYPE_INIT` and `ARV_STREAM_CALLBACK_TYPE_BUFFER_DONE`.

#### Members

`ARV_STREAM_CALLBACK_TYPE_INIT`

  Thread initialization, happens once.

  - Value: `0`
  - Available since: 0.8
`ARV_STREAM_CALLBACK_TYPE_EXIT`

  Thread end, happens once.

  - Value: `1`
  - Available since: 0.8
`ARV_STREAM_CALLBACK_TYPE_START_BUFFER`

  Buffer filling start, happens at each frame.

  - Value: `2`
  - Available since: 0.8
`ARV_STREAM_CALLBACK_TYPE_BUFFER_DONE`

  Buffer filled, happens at each frame.

  - Value: `3`
  - Available since: 0.8